#include <bits/stdc++.h>
using namespace std;
void unos(unsigned int h[], int n, unsigned int l)
{
    int index=-1;
    for(int i=0;i<n;i++)
    {
        cin >> h[i];
        if(h[i]<=l && index==-1)
        {
            index=i+1;
        }
    }
    cout << index << endl;
}
int main()
{
    int n;
    cin >> n;
    unsigned int h[n], l;
    cin >> l;
    unos(h, n, l);
    return 0;
}